Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1340945 - [abrt] dolphin: QObjectPrivate::setParent_helper(): dolphin killed by SIGSEGV
Summary: [abrt] dolphin: QObjectPrivate::setParent_helper(): dolphin killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dolphin
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cc76fa0430a74e125ae75c70ac3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-30 19:44 UTC by C6563
Modified: 2016-12-20 20:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:43:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (59.69 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: cgroup (200 bytes, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: core_backtrace (12.09 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: dso_list (18.82 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: environ (2.08 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: exploitable (82 bytes, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: maps (86.05 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: mountinfo (3.93 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: open_fds (2.19 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details
File: var_log_messages (292 bytes, text/plain)
2016-05-30 19:44 UTC, C6563
no flags Details

Description C6563 2016-05-30 19:44:21 UTC
Version-Release number of selected component:
dolphin-15.12.3-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/dolphin
crash_function: QObjectPrivate::setParent_helper
executable:     /usr/bin/dolphin
global_pid:     4531
kernel:         4.4.9-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QObjectPrivate::setParent_helper at kernel/qobject.cpp:1971
 #1 QObject::setParent at kernel/qobject.cpp:1950
 #2 KCompositeJob::removeSubjob at /usr/src/debug/kcoreaddons-5.22.0/src/lib/jobs/kcompositejob.cpp:71
 #3 KIO::CopyJobPrivate::slotResultErrorCopyingFiles at /usr/src/debug/kio-5.22.0/src/core/copyjob.cpp:1412
 #4 KIO::CopyJobPrivate::slotResultCopyingFiles at /usr/src/debug/kio-5.22.0/src/core/copyjob.cpp:1280
 #5 QMetaObject::activate at kernel/qobject.cpp:3730
 #7 KJob::result at /usr/src/debug/kcoreaddons-5.22.0/x86_64-redhat-linux-gnu/src/lib/moc_kjob.cpp:568
 #8 KJob::finishJob at /usr/src/debug/kcoreaddons-5.22.0/src/lib/jobs/kjob.cpp:109
 #9 KJob::emitResult at /usr/src/debug/kcoreaddons-5.22.0/src/lib/jobs/kjob.cpp:293
 #10 KIO::FileCopyJob::slotResult at /usr/src/debug/kio-5.22.0/src/core/filecopyjob.cpp:563

Comment 1 C6563 2016-05-30 19:44:26 UTC
Created attachment 1162966 [details]
File: backtrace

Comment 2 C6563 2016-05-30 19:44:28 UTC
Created attachment 1162967 [details]
File: cgroup

Comment 3 C6563 2016-05-30 19:44:29 UTC
Created attachment 1162968 [details]
File: core_backtrace

Comment 4 C6563 2016-05-30 19:44:31 UTC
Created attachment 1162969 [details]
File: dso_list

Comment 5 C6563 2016-05-30 19:44:32 UTC
Created attachment 1162970 [details]
File: environ

Comment 6 C6563 2016-05-30 19:44:34 UTC
Created attachment 1162971 [details]
File: exploitable

Comment 7 C6563 2016-05-30 19:44:35 UTC
Created attachment 1162972 [details]
File: limits

Comment 8 C6563 2016-05-30 19:44:37 UTC
Created attachment 1162973 [details]
File: maps

Comment 9 C6563 2016-05-30 19:44:39 UTC
Created attachment 1162974 [details]
File: mountinfo

Comment 10 C6563 2016-05-30 19:44:40 UTC
Created attachment 1162975 [details]
File: namespaces

Comment 11 C6563 2016-05-30 19:44:42 UTC
Created attachment 1162976 [details]
File: open_fds

Comment 12 C6563 2016-05-30 19:44:43 UTC
Created attachment 1162977 [details]
File: proc_pid_status

Comment 13 C6563 2016-05-30 19:44:45 UTC
Created attachment 1162978 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2016-11-25 09:09:49 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 20:43:51 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.